using System.Text.Json.Serialization;
using System.Transactions;

namespace SCOGateway.POSGk
{
    public class AuthenticateResp
    {
        [JsonPropertyName("primaryEntry")] public  PrimaryEntry primaryEntry { get; set; }
        [JsonPropertyName("posSessionId")] public  PosSessionId posSessionId { get; set; }
    } 

    public class PosSessionId
    {
        [JsonPropertyName("id")] public  string id { get; set; }
    }
    public class PrimaryEntry
    {
        [JsonPropertyName("transaction")] public  Transaction transaction { get; set; }
        
    }

    public class Transaction
    {
        [JsonPropertyName("key")] public  Key key { get; set; }
        [JsonPropertyName("operatorID")] public  string operatorID { get; set; }
        [JsonPropertyName("posSessionId")] public  Id posSessionId { get; set; }
        [JsonPropertyName("success")] public bool success { get; set; }
    }

    public class Id 
    {
        [JsonPropertyName("id")]
        public  string id { get; set; }

    }
    public class Key
    {
        [JsonPropertyName("transactionID")] public  string transactionID { get; set; } 
        [JsonPropertyName("businessUnitGroupID")] public  string businessUnitGroupID { get; set; }
    }
}